db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Rick Hillegas <rick.hille...@oracle.com>
Subject Re: 10.10.2 release question
Date Fri, 16 Aug 2013 12:20:59 GMT
On 8/15/13 5:03 PM, Myrna van Lunteren wrote:
> Hi,
>
> Now that I will need to build a 10.10 release, I am starting to wonder...:
>
> - do I need a 1.8 JVM to fully build this release? Or will it build 
> the same if I have only a 1.6 JVM?
>
> Myrna
Hi Myrna,

To generate all the bits, you'll need a Java 8 JDK which has no legal 
encumbrances. For this purpose, I had to build OpenJDK 8 from scratch 
(see 
http://hg.openjdk.java.net/jdk8/jdk8/raw-file/tip/README-builds.html). 
Note that you can't generate a Derby release by using Oracle's early 
access builds of JDK 8. That is because of restrictions in the early 
access license.

Let me know if you need assistance here.

Thanks,
-Rick

Mime
View raw message